---
title: Publish
url: https://www.tines.com/stories/docs/api/apps/publish/
updated: 2026-11-20T19:26:12+00:00
description: Build the app's current draft and publish it as a new version. If the draft is unchanged since the latest version, that version is published instead.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/stories/docs/llms.txt) › [Tines API](https://www.tines.com/stories/docs/api/llms.txt) › [Apps](https://www.tines.com/llm/stories/docs/api/apps.md)*

# Publish

*[View on tines.com](https://www.tines.com/stories/docs/api/apps/publish/)*

## Description

Build the app's current draft and publish it as a new version. If the draft is unchanged since the latest version, that version is published instead.

See the [Get Apps API](/api/apps/get) to learn more about apps.

## Request

HTTP Method: **POST**

Endpoint: `/api/v1/apps/{id}/publish`

| Parameter   | Description                                          |
| ----------- | ---------------------------------------------------- |
| id          | The ID of the app to publish.                        |
| name        | **Optional** A name for the published version.       |
| description | **Optional** A description of the published version. |

### Sample request

```bash
curl --proto '=https' --tlsv1.2 -X POST \
  https://<tenant-domain>/api/v1/apps/42/publish \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>' \
  -d '{
        "name": "v1",
        "description": "First release"
      }'
```

## Response

A successful request returns a `200` status and a JSON object describing the published app. If the build fails, the request returns a `422` status and the build error.

### Field description

| Parameter         | Description                                                                                       |
| ----------------- | ------------------------------------------------------------------------------------------------- |
| id                | The app ID.                                                                                       |
| guid              | Unique identifier of the app.                                                                     |
| name              | The app name.                                                                                     |
| description       | A user-defined description of the app.                                                            |
| emoji             | The emoji associated with the app.                                                                |
| created_at        | ISO 8601 timestamp representing date and time the app was created.                                |
| updated_at        | ISO 8601 timestamp representing date and time the app was last updated.                           |
| team              | Object containing the `id` and `name` of the team the app belongs to.                             |
| published_version | Object containing the `id` of the published version, or `null` if the app has not been published. |

### Sample response

```json
{
  "id": 42,
  "guid": "abc123def456",
  "name": "Phishing triage",
  "description": "Triages reported phishing emails.",
  "emoji": "📱",
  "created_at": "2026-05-14T10:00:00Z",
  "updated_at": "2026-05-14T10:05:00Z",
  "team": { "id": 7, "name": "Security" },
  "published_version": { "id": 3 }
}
```
